MODULE PTRGPD1S
USE PARKIND1  ,ONLY : JPIM     ,JPRB

IMPLICIT NONE
SAVE

!      CONTAINING RELATIVE POINTERS

INTEGER(KIND=JPIM) :: MVFZ0F
INTEGER(KIND=JPIM) :: MVFALBF
INTEGER(KIND=JPIM) :: MVFALUVP 
INTEGER(KIND=JPIM) :: MVFALUVD 
INTEGER(KIND=JPIM) :: MVFALNIP 
INTEGER(KIND=JPIM) :: MVFALNID 
INTEGER(KIND=JPIM) :: MVFSOALUVP 
INTEGER(KIND=JPIM) :: MVFSOALUVD 
INTEGER(KIND=JPIM) :: MVFSOALNIP 
INTEGER(KIND=JPIM) :: MVFSOALNID 
INTEGER(KIND=JPIM) :: VFMASK
INTEGER(KIND=JPIM) :: MVFITM
INTEGER(KIND=JPIM) :: MVFGEO
INTEGER(KIND=JPIM) :: MVFZ0H
INTEGER(KIND=JPIM) :: MVFCVL
INTEGER(KIND=JPIM) :: MVFCVH
INTEGER(KIND=JPIM) :: MVFTVL
INTEGER(KIND=JPIM) :: MVFTVH
INTEGER(KIND=JPIM) :: MVFLAIL
INTEGER(KIND=JPIM) :: MVFLAIH
INTEGER(KIND=JPIM) :: MVFBCL !CTESSEL (may be not needed)
INTEGER(KIND=JPIM) :: MVFBCH !CTESSEL (may be not needed)
INTEGER(KIND=JPIM) :: MVFRSML !CTESSEL
INTEGER(KIND=JPIM) :: MVFRSMH !CTESSEL
INTEGER(KIND=JPIM) :: MVDANDAYVT !CTESSEL
INTEGER(KIND=JPIM) :: MVDANFMVT !CTESSEL
INTEGER(KIND=JPIM) :: MVDRESPBSTR !CTESSEL
INTEGER(KIND=JPIM) :: MVDRESPBSTR2  !CTESSEL
INTEGER(KIND=JPIM) :: MVDBIOMASS_LAST !CTESSEL
INTEGER(KIND=JPIM) :: MVDBLOSSVT !CTESSEL
INTEGER(KIND=JPIM) :: MVDBGAINVT !CTESSEL
INTEGER(KIND=JPIM) :: MVFVAROR !CTESSEL
INTEGER(KIND=JPIM) :: MVFCOVVT !CTESSEL
INTEGER(KIND=JPIM) :: MVFR0VT !CTESSEL


INTEGER(KIND=JPIM) :: MVFSOTY
INTEGER(KIND=JPIM) :: MVFSDOR
INTEGER(KIND=JPIM) :: MVFSST
INTEGER(KIND=JPIM) :: MVFCI
INTEGER(KIND=JPIM) :: MVDLSP
INTEGER(KIND=JPIM) :: MVDCP
INTEGER(KIND=JPIM) :: MVDSF
INTEGER(KIND=JPIM) :: MVDSSHF
INTEGER(KIND=JPIM) :: MVDSLHF
INTEGER(KIND=JPIM) :: MVDSSR
INTEGER(KIND=JPIM) :: MVDSTR
INTEGER(KIND=JPIM) :: MVDEWSS
INTEGER(KIND=JPIM) :: MVDNSSS
INTEGER(KIND=JPIM) :: MVDE
INTEGER(KIND=JPIM) :: MVDRO
INTEGER(KIND=JPIM) :: MVDROS
INTEGER(KIND=JPIM) :: MVDMLT
INTEGER(KIND=JPIM) :: MVDALB
INTEGER(KIND=JPIM) :: MVDIEWSS
INTEGER(KIND=JPIM) :: MVDINSSS
INTEGER(KIND=JPIM) :: MVDISSHF
INTEGER(KIND=JPIM) :: MVDIE
INTEGER(KIND=JPIM) :: MVDCSF
INTEGER(KIND=JPIM) :: MVDLSSF
INTEGER(KIND=JPIM) :: MVDZ0F
INTEGER(KIND=JPIM) :: MVDZ0H
INTEGER(KIND=JPIM) :: MVDSSRD
INTEGER(KIND=JPIM) :: MVDSTRD
INTEGER(KIND=JPIM) :: MVDIEWSSTL
INTEGER(KIND=JPIM) :: MVDINSSSTL
INTEGER(KIND=JPIM) :: MVDISSHFTL
INTEGER(KIND=JPIM) :: MVDIETL
INTEGER(KIND=JPIM) :: MVDTSKTL

INTEGER(KIND=JPIM) :: MVFLDEPTH !FLAKE
INTEGER(KIND=JPIM) :: MVFCLAKE  !FLAKE 

INTEGER(KIND=JPIM) :: MVFZO      !KPP
INTEGER(KIND=JPIM) :: MVFHO      !KPP
INTEGER(KIND=JPIM) :: MVFDO      !KPP
INTEGER(KIND=JPIM) :: MVFOCDEPTH !KPP
INTEGER(KIND=JPIM) :: MVFADVT    !KPP
INTEGER(KIND=JPIM) :: MVFADVS    !KPP
INTEGER(KIND=JPIM) :: MVFTRI0    !KPP
INTEGER(KIND=JPIM) :: MVFTRI1    !KPP
INTEGER(KIND=JPIM) :: MVFHO_INV  !KPP
INTEGER(KIND=JPIM) :: MVFSWDK_SAVE !KPP

END MODULE PTRGPD1S
